package com.ichaoj.ams.request.auto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.util.List;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "创建自动化")
public class CreateAuto {

    /**
     * 自动化名称
     */
    private String autoName;

    /**
     * 空投项目id
     */
    private String projectId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 策略id
     */
    private List<String> strategyIds;

    /**
     * 任务id
     */
    private List<String> taskIds;

}
