package com.ichaoj.ams.request.strategy;

import com.ichaoj.ams.constant.AmsConstant;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

/**
 * @author : cjwen
 * @date : 2023/04/26 14:25
 */
@Data
@Schema(title = "创建空投项目")
public class CreateStrategy {

    /**
     * 策略名称
     */
    private String strategyName;

    /**
     * 策略规划
     */
    private String strategyRule;

    /**
     * 策略类型
     */
    private AmsConstant.StrategyType strategyType;

    /**
     * 策略值
     */
    private String strategyValue;

    /**
     * 执行状态;是否启用(0否，1是)
     */
    private Integer strategyStatus;


}
