package com.ichaoj.ams.response.auto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/05/12 15:51
 */
@Data
@Schema(title = "自动化信息")
public class AutoResponse {

    @Schema(title = "自动化Id")
    private String amsAutoId;

    /**
     * 自动化名称
     */
    private String autoName;

    /**
     * 空投项目id
     */
    private String projectId;

    /**
     * 用户id
     */
    private String userId;

    /**
     * 策略id
     */
    private String strategyIds;

    /**
     * 任务id
     */
    private String taskIds;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
