package com.ichaoj.ams.response.strategy;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author : cjwen
 * @date : 2023/05/12 15:51
 */
@Data
@Schema(title = "策略信息")
public class StrategyResponse {

    @Schema(title = "策略Id")
    private String amsStrategyId;

    /**
     * 策略名称
     */
    private String strategyName;

    /**
     * 策略规划
     */
    private String strategyRule;

    /**
     * 策略类型
     */
    private String strategyType;

    /**
     * 执行状态;是否启用(0否，1是)
     */
    private Integer strategyStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

}
