package com.ichaoj.ams.service;

import com.ichaoj.ams.constant.AmsConstant;
import com.ichaoj.ams.entity.AmsAirdropTask;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 空投项目任务 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface IAmsAirdropTaskService extends IService<AmsAirdropTask> {

    /**
     * 验证task参数
     * @param taskApi 任务api
     * @param taskName 任务名称
     * @param taskUrl 任务url
     * @param taskType 任务类型
     * @return 验证结果
     */
    boolean verifyTaskParam(String taskApi, String taskName, String taskUrl, AmsConstant.TaskType taskType);


}
