package com.ichaoj.ams.service;

import com.ichaoj.ams.entity.AmsStrategy;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ichaoj.ams.request.strategy.PageStrategyRequest;
import com.ichaoj.ams.response.strategy.StrategyResponse;
import com.ichaoj.common.model.PublicPage;

/**
 * <p>
 * 策略管理 服务类
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
public interface IAmsStrategyService extends IService<AmsStrategy> {

    /**
     * 分页查询策略
     * @param strategyRequest 请求参数
     * @return 查询结果
     */
    PublicPage<StrategyResponse> pageStrategy(PageStrategyRequest strategyRequest);
}
